PERTALIFE Bugs - Bug #2828

[HR-PAYROLL]pajak reguler dan pajak irrreguler tidak balance untuk employee 10960623
06/25/2024 02:26 PM - Muhammad Bintar

Status: Closed Start date: 06/25/2024
Priority: Urgent Due date: 06/25/2024
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon supportnya untuk perbaikan pada engine payroll dimana pajak reguler dan pajak irreguer tidak balance.
contoh employee nya 10960623

Tunj Pajak Regular 1,432,921
Tunj Pajak Irregular 1,605,571
Total Pendapatan 26,387,589
Pot Subsidi JP 2% 130,000
Pot Subsidi BPJS Kesehatan 5% 325,000
Pot Koperasi 500,000
Pot Subsidi JHT 3.7% 240,500
Pot Subsidi JKK 0.24% 15,600
Pot Subsidi JKM 0.3% 19,500
Pot JHT Karyawan 2% 130,000

Pajak 4,008,394

remote.minovais.com:61115
database sq|
remote.minovais.com, 1452
pertalife prod

History

#1 - 06/25/2024 03:32 PM - Tri Rizqiaty

- File clipboard-202406251531-se0ry.png added
- File MinovalS.MinovaES.Business.PY.dll added
- File PHRPYCUO300REG _20240625.sql added

- Status changed from New to Developing

Fixing :
1. Update dll terlampir

2. Execute SP terlampir
3. Hapus settingan pajak THP di table PHRPYCUO0300
MINOVAIS-SERVER\...dbo.PHRPYCUD300 = > RTINS g byl el T e M G e SOLQueryd.sql - re...egaConven (sa (67))* 'WIN-6PEH5TRPCMH...bo.hr_tr0300_new 5QLQuery3.5gl - re...egaConven (sa [

WageTypeDefi... | WTDefinitionD... CalculationDe... | Sequence GrossupSeque.. | WageGroup Type Regular Taxable | PreTax Valuation Overwrite IsPesango ™
Pll Previous Irregul... Collect Cumula.. 68 31 5 o
PIT Previous Irregul... Collect Cumula.. 79 a1 s ¥
PRI Previous Regul... Collect Cumula... 67 30 s ¥
PRT Previous Regul... Collect Cumula... 78 a0 s ¥
PTKP PTKP m 33 5 T
RG Regular Gross ...  Collect Sum Re.. 52 15 s ¥
RGI Total Regular In... RGI=RG+RM.. 39 2 5 N
RICO Loan Repayme... 169 s N ¥ N D ¥ A
RN Regular Met Inc... Collect Sum Re... 53 16 s N
RNT Regular Net Tax... Collect Regular... 54 17 s ¥
RPCO Lean Repayme... 173 3 N ¥ M D ¥ Y
Tl Total Regular Ta... BTl = RGI- Pre.. 63 26 5 Y
SRCO Loan Special Re... 185 s N N M D N A
T Other Deductio... Total Other Ded... 85 46 5 ¥
TGl Total Pendapatan TGl = RG + RN ... 58 21 s ¥
3 THP Gaji yang Diteri... THP = NI-TD 100 99 s N N i N D N N
THPC Gaji yang Diteri... THP = NI-TD 301 99 5 D Y
Al Total Income Collect Sum Inc... 56 12 5 Y
TP Pajak Pesangon 30 30 D N ¥ M N 13 ¥ Y
4003 Tunjangan Lain... 8 8 | M ¥ ¥ N D ¥ N
BIDA Pot Subsidi Pen... 29 29 D N Y N N D Y
BIEA Pot Pensiun Em... 29 29 D N Y N ¥ D Y
BISA Subsidi Pensiun... 17 17 | N ¥ N N D ¥
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL v
< =
Jangan lupa yg lama tlg diback up
#2 - 06/25/2024 03:32 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Muhammad Bintar
#3 - 06/26/2024 10:08 AM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to Tri Rizqiaty
sudah di deploy ke client dan sudah oke
Files
clipboard-202406251425-djkgn.jpg 44.8 KB 06/25/2024 Muhammad Bintar
clipboard-202406251531-se0ry.png 75.8 KB 06/25/2024 Tri Rizqgiaty
PHRPYCUO300REG_20240625.sql 2.77 KB 06/25/2024 Tri Rizqiaty
MinovalS.MinovaES.Business.PY.dll 810 KB 06/25/2024 Tri Rizqiaty
